#
# spec file for package drm_info
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           drm_info
Version:        2.7.0
Release:        1.2
Summary:        Small utility to dump info about DRM devices
License:        MIT
URL:            https://gitlab.freedesktop.org/emersion/drm_info
Source0:        https://gitlab.freedesktop.org/emersion/drm_info/-/archive/v%{version}/%{name}-v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libdrm-devel
BuildRequires:  libjson-c-devel >= 0.14
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pciutils-devel
BuildRequires:  pkg-config
BuildRequires:  python3-base
BuildRequires:  scdoc

%description
Small utility to dump info about DRM devices.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/drm_info
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Wed Sep 11 2024 llyyr <llyyr@yukari.in>
- Update to 2.7.0:
  * Add new DRM caps from libdrm v2.4.120
  * Don't print zero version date
  * Constify blob data
  * Add flag to read JSON from file
  * pretty: use Unicode multiplication sign for sizes
  * build: bump libdrm to v2.4.122
  * Add support for the SIZE_HINTS property
  * Print modifier hex code with leading zeroes
* Thu Mar 28 2024 Jiri Slaby <jslaby@suse.cz>
- require json-c >= 0.14 to avoid build failures
* Tue Mar 26 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to 2.6.0:
  * Add host1x bus support
  * build: use FS module to check drm_fourcc.h
  * Include kernel tainted state in JSON output
  * readme: improve readability, use meson setup
* Tue Mar 21 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.5.0:
  * Find drm_fourcc.h in sysroot
  * build: bump libdrm to 2.4.114
  * ci: add .gitlab-ci.yml
  * build: fix "Unknown statement" error
  * build: fix "Unknown statement" for real
  * Consistently use lower-case "unknown" as fallback value
  * Add device bus info
  * Add support for Vivante modifiers
  * Add support for printing AMD GFX11 modifiers
  * Fix AMD tile for GFX11 modifiers
  * build: add workaround for include_directories() sandbox
  * build: bump version to 2.5.0
  * Decode HDR_OUTPUT_METADATA
* Fri Jan 20 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 2.4.0
  * added manpage
  * Migrate to gitlab.freedesktop.org
  * Add support for DRM_FORMAT_MOD_ARM_TYPE_AFRC
  * Fix FB planes tree glitch
  * Print unit for pitch
  * Use drmModeGetConnectorCurrent
* Mon Dec 13 2021 Jiri Slaby <jslaby@suse.cz>
- initial package (2.3.0)
